using System;

namespace MIS.EN.Exchange.Entities
{
    public class Contact : Item
    {
        public Contact() 
            : base()
        {
        }

        internal Contact(bool loadedFromServer)
            : base(loadedFromServer)
        {
        }

        public Contact(string firstName, string lastName, string homeStreet,
            string homeCity, string homeState, string homePostalCode, string homeCountry, MailingAddress mailingAddress) 
            : base()
        {
            this.firstName = firstName;
            this.lastName = lastName;
            this.homeStreet = homeStreet;
            this.homeCity = homeCity;
            this.homeState = homeState;
            this.homePostalCode = homePostalCode;
            this.homeCountry = homeCountry;
            this.mailingAddress = mailingAddress;
        }

        public override string Name
        {
            get { return this.firstName + " " + this.lastName; }
        }

        private MailingAddress? mailingAddress;

        public MailingAddress? MailingAddress
        {
            get { return this.mailingAddress; }
            set 
            {
                this.mailingAddress = value;
                this.AddPropertyChanged("MailingAddress");
            }
        }

        private string account = string.Empty;

        public string Account
        {
            get { return this.account; }
            set
            {
                this.account = value;
                this.AddPropertyChanged("Account");
            }
        }

        private DateTime? birthday;

        public DateTime? Birthday
        {
            get { return this.birthday; }
            set
            {
                this.birthday = value;
                this.AddPropertyChanged("Birthday");
            }
        }

        private string billingInformation = string.Empty;

        public string BillingInformation
        {
            get { return this.billingInformation; }
            set
            {
                this.billingInformation = value;
                this.AddPropertyChanged("BillingInformation");
            }
        }

        private string businessHomePage = string.Empty;

        public string BusinessHomePage
        {
            get { return this.businessHomePage; }
            set
            {
                this.businessHomePage = value;
                this.AddPropertyChanged("BusinessHomePage");
            }
        }

        private string workCountryCode = string.Empty;

        public string WorkCountryCode
        {
            get { return this.workCountryCode; }
            set
            {
                this.workCountryCode = value;
                this.AddPropertyChanged("WorkCountryCode");
            }
        }

        private string callBackPhone = string.Empty;

        public string CallBackPhone
        {
            get { return this.callBackPhone; }
            set
            {
                this.callBackPhone = value;
                this.AddPropertyChanged("CallBackPhone");
            }
        }

        private string children = string.Empty;

        public string Children
        {
            get { return this.children; }
            set
            {
                this.children = value;
                this.AddPropertyChanged("Children");
            }
        }

        private string childrensNames = string.Empty;

        public string ChildrensNames
        {
            get { return this.childrensNames; }
            set
            {
                this.childrensNames = value;
                this.AddPropertyChanged("ChildrensNames");
            }
        }

        private string commonName = string.Empty;

        public string CommonName
        {
            get { return this.commonName; }
            set
            {
                this.commonName = value;
                this.AddPropertyChanged("CommonName");
            }
        }

        private string workCountry = string.Empty;

        public string WorkCountry
        {
            get { return this.workCountry; }
            set
            {
                this.workCountry = value;
                this.AddPropertyChanged("WorkCountry");
            }
        }

        private string companies = string.Empty;

        public string Companies
        {
            get { return this.companies; }
            set
            {
                this.companies = value;
                this.AddPropertyChanged("Companies");
            }
        }

        private string computerNetworkName = string.Empty;

        public string ComputerNetworkName
        {
            get { return this.computerNetworkName; }
            set
            {
                this.computerNetworkName = value;
                this.AddPropertyChanged("ComputerNetworkName");
            }
        }

        private string customerId = string.Empty;

        public string CustomerId
        {
            get { return this.customerId; }
            set
            {
                this.customerId = value;
                this.AddPropertyChanged("CustomerId");
            }
        }

        private string department = string.Empty;

        public string Department
        {
            get { return this.department; }
            set
            {
                this.department = value;
                this.AddPropertyChanged("Department");
            }
        }

        private string distinguishedName = string.Empty;

        public string DistinguishedName
        {
            get { return this.distinguishedName; }
            set
            {
                this.distinguishedName = value;
                this.AddPropertyChanged("DistinguishedName");
            }
        }

        private string email1 = string.Empty;

        public string Email1
        {
            get { return this.email1; }
            set
            {
                this.email1 = value;
                this.AddPropertyChanged("Email1");
            }
        }

        private string email2 = string.Empty;

        public string Email2
        {
            get { return this.email2; }
            set
            {
                this.email2 = value;
                this.AddPropertyChanged("Email2");
            }
        }

        private string email3 = string.Empty;

        public string Email3
        {
            get { return this.email3; }
            set
            {
                this.email3 = value;
                this.AddPropertyChanged("Email3");
            }
        }

        private string employeeNumber = string.Empty;

        public string EmployeeNumber
        {
            get { return this.employeeNumber; }
            set
            {
                this.employeeNumber = value;
                this.AddPropertyChanged("EmployeeNumber");
            }
        }

        private string extensionAttribute1 = string.Empty;

        public string ExtensionAttribute1
        {
            get { return this.extensionAttribute1; }
            set
            {
                this.extensionAttribute1 = value;
                this.AddPropertyChanged("ExtensionAttribute1");
            }
        }

        private string extensionAttribute2 = string.Empty;

        public string ExtensionAttribute2
        {
            get { return this.extensionAttribute2; }
            set
            {
                this.extensionAttribute2 = value;
                this.AddPropertyChanged("ExtensionAttribute2");
            }
        }

        private string extensionAttribute3 = string.Empty;

        public string ExtensionAttribute3
        {
            get { return this.extensionAttribute3; }
            set
            {
                this.extensionAttribute3 = value;
                this.AddPropertyChanged("ExtensionAttribute3");
            }
        }

        private string extensionAttribute4 = string.Empty;

        public string ExtensionAttribute4
        {
            get { return this.extensionAttribute4; }
            set
            {
                this.extensionAttribute4 = value;
                this.AddPropertyChanged("ExtensionAttribute4");
            }
        }

        private string faxNumber = string.Empty;

        public string FaxNumber
        {
            get { return this.faxNumber; }
            set
            {
                this.faxNumber = value;
                this.AddPropertyChanged("FaxNumber");
            }
        }

        private string freeBusyUrl = string.Empty;

        public string FreeBusyUrl
        {
            get { return this.freeBusyUrl; }
            set
            {
                this.freeBusyUrl = value;
                this.AddPropertyChanged("FreeBusyUrl");
            }
        }

        private string fileAs = string.Empty;

        public string FileAs
        {
            get { return this.fileAs; }
            set
            {
                this.fileAs = value;
                this.AddPropertyChanged("FileAs");
            }
        }

        private string fileAsId = string.Empty;

        public string FileAsId
        {
            get { return this.fileAsId; }
            set
            {
                this.fileAsId = value;
                this.AddPropertyChanged("FileAsId");
            }
        }

        private string ftpSite = string.Empty;

        public string FtpSite
        {
            get { return this.ftpSite; }
            set
            {
                this.ftpSite = value;
                this.AddPropertyChanged("FtpSite");
            }
        }

        private string gender = string.Empty;

        public string Gender
        {
            get { return this.gender; }
            set
            {
                this.gender = value;
                this.AddPropertyChanged("Gender");
            }
        }

        private double? geoLatitude;

        public double? GeoLatitude
        {
            get { return this.geoLatitude; }
            set
            {
                this.geoLatitude = value;
                this.AddPropertyChanged("GeoLatitude");
            }
        }

        private double? geoLongitude;

        public double? GeoLongitude
        {
            get { return this.geoLongitude; }
            set
            {
                this.geoLongitude = value;
                this.AddPropertyChanged("GeoLongitude");
            }
        }

        private string firstName = string.Empty;

        public string FirstName
        {
            get { return this.firstName; }
            set
            {
                this.firstName = value;
                this.AddPropertyChanged("FirstName");
            }
        }

        private string governmentId = string.Empty;

        public string GovernmentId
        {
            get { return this.governmentId; }
            set
            {
                this.governmentId = value;
                this.AddPropertyChanged("GovernmentId");
            }
        }

        private bool? hasAttachment;

        public bool? HasAttachment
        {
            get { return this.hasAttachment; }
            set
            {
                this.hasAttachment = value;
                this.AddPropertyChanged("HasAttachment");
            }
        }

        private string hobbies = string.Empty;

        public string Hobbies
        {
            get { return this.hobbies; }
            set
            {
                this.hobbies = value;
                this.AddPropertyChanged("Hobbies");
            }
        }

        private string homeCity = string.Empty;

        public string HomeCity
        {
            get { return this.homeCity; }
            set
            {
                this.homeCity = value;
                this.AddPropertyChanged("HomeCity");
            }
        }

        private string homeCountry = string.Empty;

        public string HomeCountry
        {
            get { return this.homeCountry; }
            set
            {
                this.homeCountry = value;
                this.AddPropertyChanged("HomeCountry");
            }
        }

        private string homeFaxNumber = string.Empty;

        public string HomeFaxNumber
        {
            get { return this.homeFaxNumber; }
            set
            {
                this.homeFaxNumber = value;
                this.AddPropertyChanged("HomeFaxNumber");
            }
        }

        private double? homeLatitude;

        public double? HomeLatitude
        {
            get { return this.homeLatitude; }
            set
            {
                this.homeLatitude = value;
                this.AddPropertyChanged("HomeLatitude");
            }
        }

        private double? homeLongitude;

        public double? HomeLongitude
        {
            get { return this.homeLongitude; }
            set
            {
                this.homeLongitude = value;
                this.AddPropertyChanged("HomeLongitude");
            }
        }

        private string homePhone = string.Empty;

        public string HomePhone
        {
            get { return this.homePhone; }
            set
            {
                this.homePhone = value;
                this.AddPropertyChanged("HomePhone");
            }
        }

        private string homePhone2 = string.Empty;

        public string HomePhone2
        {
            get { return this.homePhone2; }
            set
            {
                this.homePhone2 = value;
                this.AddPropertyChanged("HomePhone2");
            }
        }

        private string homePostalAddress = string.Empty;

        public string HomePostalAddress
        {
            get { return this.homePostalAddress; }
            set
            {
                this.homePostalAddress = value;
                this.AddPropertyChanged("HomePostalAddress");
            }
        }

        private string homePostalCode = string.Empty;

        public string HomePostalCode
        {
            get { return this.homePostalCode; }
            set
            {
                this.homePostalCode = value;
                this.AddPropertyChanged("HomePostalCode");
            }
        }

        private string homePostOfficeBox = string.Empty;

        public string HomePostOfficeBox
        {
            get { return this.homePostOfficeBox; }
            set
            {
                this.homePostOfficeBox = value;
                this.AddPropertyChanged("HomePostOfficeBox");
            }
        }

        private string homeState = string.Empty;

        public string HomeState
        {
            get { return this.homeState; }
            set
            {
                this.homeState = value;
                this.AddPropertyChanged("HomeState");
            }
        }

        private string homeStreet = string.Empty;

        public string HomeStreet
        {
            get { return this.homeStreet; }
            set
            {
                this.homeStreet = value;
                this.AddPropertyChanged("HomeStreet");
            }
        }

        private string homeTimeZone = string.Empty;

        public string HomeTimeZone
        {
            get { return this.homeTimeZone; }
            set
            {
                this.homeTimeZone = value;
                this.AddPropertyChanged("HomeTimeZone");
            }
        }

        private string htmlDescription = string.Empty;

        public string HtmlDescription
        {
            get { return this.htmlDescription; }
            set
            {
                this.htmlDescription = value;
                this.AddPropertyChanged("HtmlDescription");
            }
        }

        private string initials = string.Empty;

        public string Initials
        {
            get { return this.initials; }
            set
            {
                this.initials = value;
                this.AddPropertyChanged("Initials");
            }
        }

        private string internationalisdnNumber = string.Empty;

        public string InternationalIsdnNumber
        {
            get { return this.internationalisdnNumber; }
            set
            {
                this.internationalisdnNumber = value;
                this.AddPropertyChanged("InternationalIsdnNumber");
            }
        }

        private string workCity = string.Empty;

        public string WorkCity
        {
            get { return this.workCity; }
            set
            {
                this.workCity = value;
                this.AddPropertyChanged("WorkCity");
            }
        }

        private string language = string.Empty;

        public string Language
        {
            get { return this.language; }
            set
            {
                this.language = value;
                this.AddPropertyChanged("Language");
            }
        }

        private string location = string.Empty;

        public string Location
        {
            get { return this.location; }
            set
            {
                this.location = value;
                this.AddPropertyChanged("Location");
            }
        }

        private string mailingCity = string.Empty;

        public string MailingCity
        {
            get { return this.mailingCity; }
            set
            {
                this.mailingCity = value;
                this.AddPropertyChanged("MailingCity");
            }
        }

        private string mailingCountry = string.Empty;

        public string MailingCountry
        {
            get { return this.mailingCountry; }
            set
            {
                this.mailingCountry = value;
                this.AddPropertyChanged("MailingCountry");
            }
        }

        private string mailingPostalAddress = string.Empty;

        public string MailingPostalAddress
        {
            get { return this.mailingPostalAddress; }
            set
            {
                this.mailingPostalAddress = value;
                this.AddPropertyChanged("MailingPostalAddress");
            }
        }

        private string mailingPostalCode = string.Empty;

        public string MailingPostalCode
        {
            get { return this.mailingPostalCode; }
            set
            {
                this.mailingPostalCode = value;
                this.AddPropertyChanged("MailingPostalCode");
            }
        }

        private string mailingPostOfficeBox = string.Empty;

        public string MailingPostOfficeBox
        {
            get { return this.mailingPostOfficeBox; }
            set
            {
                this.mailingPostOfficeBox = value;
                this.AddPropertyChanged("MailingPostOfficeBox");
            }
        }

        private string mailingState = string.Empty;

        public string MailingState
        {
            get { return this.mailingState; }
            set
            {
                this.mailingState = value;
                this.AddPropertyChanged("MailingState");
            }
        }

        private string mailingStreet = string.Empty;

        public string MailingStreet
        {
            get { return this.mailingStreet; }
            set
            {
                this.mailingStreet = value;
                this.AddPropertyChanged("MailingStreet");
            }
        }

        private string managerDistinguishedName = string.Empty;

        public string ManagerDistinguishedName
        {
            get { return this.managerDistinguishedName; }
            set
            {
                this.managerDistinguishedName = value;
                this.AddPropertyChanged("ManagerDistinguishedName");
            }
        }

        private string mapUrl = string.Empty;

        public string MapUrl
        {
            get { return this.mapUrl; }
            set
            {
                this.mapUrl = value;
                this.AddPropertyChanged("MapUrl");
            }
        }

        private string middleName = string.Empty;

        public string MiddleName
        {
            get { return this.middleName; }
            set
            {
                this.middleName = value;
                this.AddPropertyChanged("MiddleName");
            }
        }

        private string mileage = string.Empty;

        public string Mileage
        {
            get { return this.mileage; }
            set
            {
                this.mileage = value;
                this.AddPropertyChanged("Mileage");
            }
        }

        private string mobilePhone = string.Empty;

        public string MobilePhone
        {
            get { return this.mobilePhone; }
            set
            {
                this.mobilePhone = value;
                this.AddPropertyChanged("MobilePhone");
            }
        }

        private string suffix = string.Empty;

        public string Suffix
        {
            get { return this.suffix; }
            set
            {
                this.suffix = value;
                this.AddPropertyChanged("Suffix");
            }
        }

        private string nickname = string.Empty;

        public string NickName
        {
            get { return this.nickname; }
            set
            {
                this.nickname = value;
                this.AddPropertyChanged("NickName");
            }
        }

        private string organizationName = string.Empty;

        public string OrganizationName
        {
            get { return this.organizationName; }
            set
            {
                this.organizationName = value;
                this.AddPropertyChanged("OrganizationName");
            }
        }

        private string officePhone = string.Empty;

        public string OfficePhone
        {
            get { return this.officePhone; }
            set
            {
                this.officePhone = value;
                this.AddPropertyChanged("OfficePhone");
            }
        }

        private string officePhone2 = string.Empty;

        public string OfficePhone2
        {
            get { return this.officePhone2; }
            set
            {
                this.officePhone2 = value;
                this.AddPropertyChanged("OfficePhone2");
            }
        }

        private string organizationMainPhone = string.Empty;

        public string OrganizationMainPhone
        {
            get { return this.organizationMainPhone; }
            set
            {
                this.organizationMainPhone = value;
                this.AddPropertyChanged("OrganizationMainPhone");
            }
        }

        private string otherCity = string.Empty;

        public string OtherCity
        {
            get { return this.otherCity; }
            set
            {
                this.otherCity = value;
                this.AddPropertyChanged("OtherCity");
            }
        }

        private string otherCountry = string.Empty;

        public string OtherCountry
        {
            get { return this.otherCountry; }
            set
            {
                this.otherCountry = value;
                this.AddPropertyChanged("OtherCountry");
            }
        }

        private string otherCountryCode = string.Empty;

        public string OtherCountryCode
        {
            get { return this.otherCountryCode; }
            set
            {
                this.otherCountryCode = value;
                this.AddPropertyChanged("OtherCountryCode");
            }
        }

        private string otherFax = string.Empty;

        public string OtherFax
        {
            get { return this.otherFax; }
            set
            {
                this.otherFax = value;
                this.AddPropertyChanged("OtherFax");
            }
        }

        private string otherMobilePhone = string.Empty;

        public string OtherMobilePhone
        {
            get { return this.otherMobilePhone; }
            set
            {
                this.otherMobilePhone = value;
                this.AddPropertyChanged("OtherMobilePhone");
            }
        }

        private string otherPager = string.Empty;

        public string OtherPager
        {
            get { return this.otherPager; }
            set
            {
                this.otherPager = value;
                this.AddPropertyChanged("OtherPager");
            }
        }

        private string otherPostalAddress = string.Empty;

        public string OtherPostalAddress
        {
            get { return this.otherPostalAddress; }
            set
            {
                this.otherPostalAddress = value;
                this.AddPropertyChanged("OtherPostalAddress");
            }
        }

        private string otherPostalCode = string.Empty;

        public string OtherPostalCode
        {
            get { return this.otherPostalCode; }
            set
            {
                this.otherPostalCode = value;
                this.AddPropertyChanged("OtherPostalCode");
            }
        }

        private string otherPostofficeBox = string.Empty;

        public string OtherPostOfficeBox
        {
            get { return this.otherPostofficeBox; }
            set
            {
                this.otherPostofficeBox = value;
                this.AddPropertyChanged("OtherPostOfficeBox");
            }
        }

        private string otherState = string.Empty;

        public string OtherState
        {
            get { return this.otherState; }
            set
            {
                this.otherState = value;
                this.AddPropertyChanged("OtherState");
            }
        }

        private string otherStreet = string.Empty;

        public string OtherStreet
        {
            get { return this.otherStreet; }
            set
            {
                this.otherStreet = value;
                this.AddPropertyChanged("OtherStreet");
            }
        }

        private string otherPhone = string.Empty;

        public string OtherPhone
        {
            get { return this.otherPhone; }
            set
            {
                this.otherPhone = value;
                this.AddPropertyChanged("OtherPhone");
            }
        }

        private string otherTimeZone = string.Empty;

        public string OtherTimeZone
        {
            get { return this.otherTimeZone; }
            set
            {
                this.otherTimeZone = value;
                this.AddPropertyChanged("OtherTimeZone");
            }
        }

        private string outbox = string.Empty;

        public string Outbox
        {
            get { return this.outbox; }
            set
            {
                this.outbox = value;
                this.AddPropertyChanged("Outbox");
            }
        }

        private string pager = string.Empty;

        public string Pager
        {
            get { return this.pager; }
            set
            {
                this.pager = value;
                this.AddPropertyChanged("Pager");
            }
        }

        private string personalHomepage = string.Empty;

        public string PersonalHomePage
        {
            get { return this.personalHomepage; }
            set
            {
                this.personalHomepage = value;
                this.AddPropertyChanged("PersonalHomePage");
            }
        }

        private string personalTitle = string.Empty;

        public string PersonalTitle
        {
            get { return this.personalTitle; }
            set
            {
                this.personalTitle = value;
                this.AddPropertyChanged("PersonalTitle");
            }
        }

        private string postalCode = string.Empty;

        public string PostalCode
        {
            get { return this.postalCode; }
            set
            {
                this.postalCode = value;
                this.AddPropertyChanged("PostalCode");
            }
        }

        private string postOfficeBox = string.Empty;

        public string PostOfficeBox
        {
            get { return this.postOfficeBox; }
            set
            {
                this.postOfficeBox = value;
                this.AddPropertyChanged("PostOfficeBox");
            }
        }

        private string profession = string.Empty;

        public string Profession
        {
            get { return this.profession; }
            set
            {
                this.profession = value;
                this.AddPropertyChanged("Profession");
            }
        }

        private string proxyAddresses = string.Empty;

        public string ProxyAddresses
        {
            get { return this.proxyAddresses; }
            set
            {
                this.proxyAddresses = value;
                this.AddPropertyChanged("ProxyAddresses");
            }
        }

        private string referredBy = string.Empty;

        public string ReferredBy
        {
            get { return this.referredBy; }
            set
            {
                this.referredBy = value;
                this.AddPropertyChanged("ReferredBy");
            }
        }

        private string roomNumber = string.Empty;

        public string RoomNumber
        {
            get { return this.roomNumber; }
            set
            {
                this.roomNumber = value;
                this.AddPropertyChanged("RoomNumber");
            }
        }

        private string searchFolder = string.Empty;

        public string SearchFolder
        {
            get { return this.searchFolder; }
            set
            {
                this.searchFolder = value;
                this.AddPropertyChanged("SearchFolder");
            }
        }

        private string secretaryCommonName = string.Empty;

        public string SecretaryCommonName
        {
            get { return this.secretaryCommonName; }
            set
            {
                this.secretaryCommonName = value;
                this.AddPropertyChanged("SecretaryCommonName");
            }
        }

        private string secretaryPhone = string.Empty;

        public string SecretaryPhone
        {
            get { return this.secretaryPhone; }
            set
            {
                this.secretaryPhone = value;
                this.AddPropertyChanged("SecretaryPhone");
            }
        }

        private string secretaryUrl = string.Empty;

        public string SecretaryUrl
        {
            get { return this.secretaryUrl; }
            set
            {
                this.secretaryUrl = value;
                this.AddPropertyChanged("SecretaryUrl");
            }
        }

        private string lastName = string.Empty;

        public string LastName
        {
            get { return this.lastName; }
            set
            {
                this.lastName = value;
                this.AddPropertyChanged("LastName");
            }
        }

        private string sourceUrl = string.Empty;

        public string SourceUrl
        {
            get { return this.sourceUrl; }
            set
            {
                this.sourceUrl = value;
                this.AddPropertyChanged("SourceUrl");
            }
        }

        private string spouseCommonName = string.Empty;

        public string SpouseCommonName
        {
            get { return this.spouseCommonName; }
            set
            {
                this.spouseCommonName = value;
                this.AddPropertyChanged("SpouseCommonName");
            }
        }

        private string workState = string.Empty;

        public string WorkState
        {
            get { return this.workState; }
            set
            {
                this.workState = value;
                this.AddPropertyChanged("WorkState");
            }
        }

        private string workStreet = string.Empty;

        public string WorkStreet
        {
            get { return this.workStreet; }
            set
            {
                this.workStreet = value;
                this.AddPropertyChanged("WorkStreet");
            }
        }

        private string subject = string.Empty;

        public string Subject
        {
            get { return this.subject; }
            set
            {
                this.subject = value;
                this.AddPropertyChanged("Subject");
            }
        }

        private string workPhone = string.Empty;

        public string WorkPhone
        {
            get { return this.workPhone; }
            set
            {
                this.workPhone = value;
                this.AddPropertyChanged("WorkPhone");
            }
        }

        private string workPhone2 = string.Empty;

        public string WorkPhone2
        {
            get { return this.workPhone2; }
            set
            {
                this.workPhone2 = value;
                this.AddPropertyChanged("WorkPhone2");
            }
        }

        private string workTelex = string.Empty;

        public string WorkTelex
        {
            get { return this.workTelex; }
            set
            {
                this.workTelex = value;
                this.AddPropertyChanged("WorkTelex");
            }
        }

        private string textDescription = string.Empty;

        public string TextDescription
        {
            get { return this.textDescription; }
            set
            {
                this.textDescription = value;
                this.AddPropertyChanged("TextDescription");
            }
        }

        private string workTitle = string.Empty;

        public string WorkTitle
        {
            get { return this.workTitle; }
            set
            {
                this.workTitle = value;
                this.AddPropertyChanged("WorkTitle");
            }
        }

        private string ttytddPhone = string.Empty;

        public string TtytddPhone
        {
            get { return this.ttytddPhone; }
            set
            {
                this.ttytddPhone = value;
                this.AddPropertyChanged("TtytddPhone");
            }
        }

        private string userCertificate = string.Empty;

        public string UserCertificate
        {
            get { return this.userCertificate; }
            set
            {
                this.userCertificate = value;
                this.AddPropertyChanged("UserCertificate");
            }
        }

        private DateTime? weddingAnniversary;

        public DateTime? WeddingAnniversary
        {
            get { return this.weddingAnniversary; }
            set
            {
                this.weddingAnniversary = value;
                this.AddPropertyChanged("WeddingAnniversary");
            }
        }

        private string workAddress = string.Empty;

        public string WorkAddress
        {
            get { return this.workAddress; }
            set
            {
                this.workAddress = value;
                this.AddPropertyChanged("WorkAddress");
            }
        }

        private string yomiFirstName = string.Empty;

        public string YomiFirstName
        {
            get { return this.yomiFirstName; }
            set
            {
                this.yomiFirstName = value;
                this.AddPropertyChanged("YomiFirstName");
            }
        }

        private string yomiLastName = string.Empty;

        public string YomiLastName
        {
            get { return this.yomiLastName; }
            set
            {
                this.yomiLastName = value;
                this.AddPropertyChanged("YomiLastName");
            }
        }

        private string yomiOrganization = string.Empty;

        public string YomiOrganization
        {
            get { return this.yomiOrganization; }
            set
            {
                this.yomiOrganization = value;
                this.AddPropertyChanged("YomiOrganization");
            }
        }
    }
}
