using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using MIS.EN.WebDav;

namespace MIS.EN.Exchange.Parsers
{
    internal class BooleanWebDavResultValueParser : IWebDavResultValueParser
    {
        #region IWebDavResultValueParser Members

        public object ParseValue(XmlNode responseNode, WebDavXmlHelper webDavXmlHelper, 
            string namespacePrefix, string propertyName, string type)
        {
            return webDavXmlHelper.GetBoolPropertyValueFromResponseNode(responseNode, namespacePrefix, propertyName);
        }

        public string GetFormattedValue(object propertyValue)
        {
            return ((((bool)propertyValue) == true) ? "1" : "0");
        }

        public string GetFormattedValueForSearch(object propertyValue)
        {
            return this.GetFormattedValue(propertyValue);
        }

        #endregion
    }
}