using System;
using System.Collections.Generic;
using System.Text;

namespace Evolution.Business.Specifications
{
    public class GreaterThanOrEqualToSpecification<TCandidate, TValue> : ValueBoundSpecification<TCandidate, TValue>, IOperator where TValue : IComparable
    {
        public GreaterThanOrEqualToSpecification(string attributeName, TValue attributeValue) 
            : base(attributeName, attributeValue)
        {
        }

        public override bool IsSatisfiedBy(TCandidate candidate)
        {
            IComparable actual = this.GetCandidateTValue(candidate) as IComparable;
            return (actual.CompareTo(this.AttributeValue) >= 0);
        }

        #region IOperator Members

        public string Operator
        {
            get { return "&gt;="; }
        }

        #endregion
    }
}
